Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225500 - Review Request: cycle - Calendar program for women
Summary: Review Request: cycle - Calendar program for women
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michał Bentkowski
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-01-30 22:28 UTC by Matěj Cepl
Modified: 2018-04-11 12:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-20 21:37:39 UTC
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Matěj Cepl 2007-01-30 22:28:22 UTC
Spec URL: http://www.ceplovi.cz/matej/progs/rpms/cycle.spec
SRPM URL: http://www.ceplovi.cz/matej/progs/rpms/cycle-0.3.1-1.src.rpm
Description: 
Cycle is a calendar for women. Given a cycle length or statistics for
several periods, it can calculate the days until menstruation, the days
of "safe" sex, the fertile period, and the days to ovulations, and 
define the d.o.b. of a child. It allows the user to write notes and 
helps to supervise the administration of hormonal contraceptive tablets.

Possibilities of the program:
  - Calculate days of menstruation, based on the length of the cycle or 
    on statistics of previous periods.
  - Calculate days of "safe" sex, fertile period and day to ovulations.
  - Definition of D.O.B. (Date Of Birth) of a child
  - Allows to write notes.
  - Helps to supervise reception of hormonal contraceptive tablets.
  - Multiple users allowed. Data is protected by a password for every 
    user.

NOTE: This program is not a reliable contraceptive method. It does 
neither help to prevent sexual transmision diseases like AIDS. It is 
just an electronic means of keeping track of some of your medical data 
and extract some statistical conclusions from them. You cannot consider 
this program as a substitute for your gynecologist in any way.

Comment 1 Michał Bentkowski 2007-01-31 17:30:54 UTC
Don't you think that the first part of a description is almost identical
as the Possibilities of the program list? It just talks two times about the 
same.

Comment 2 Matěj Cepl 2007-01-31 17:37:24 UTC
Sure, will fix.

Comment 3 Michał Bentkowski 2007-01-31 17:48:45 UTC
I'll review it.

Comment 4 Michał Bentkowski 2007-01-31 18:52:23 UTC
REVIEW:
 * dist tag present
 * sources match upstream (8bd5c2f78e7b1a7ac7910de8b9420d93)
!* package is licensed under a GPL license *not* included in %doc 
!* rpmlint output:
/tmp/cycle-0.3.1-1.fc7.noarch.rpm.5098/usr/share/applications/fedora-
cycle.desktop: warning: The 'Application' category is not defined by the 
desktop entry specification.  Please use one of "AudioVideo", "Audio", "Video", 
"Development", "Education", "Game", "Graphics", "Network", "Office", 
"Settings", "System", "Utility" instead
/tmp/cycle-0.3.1-1.fc7.noarch.rpm.5098/usr/share/applications/fedora-
cycle.desktop: warning: Categories values must be one of "AudioVideo", "Audio", 
"Video", "Development", "Education", "Game", "Graphics", "Network", "Office", 
"Settings", "System", "Utility", "Building", "Debugger", "IDE", "GUIDesigner", 
"Profiling", "RevisionControl", "Translation", "Calendar", "ContactManagement", 
"Database", "Dictionary", "Chart", "Email", "Finance", "FlowChart", "PDA", 
"ProjectManagement", "Presentation", "Spreadsheet", "WordProcessor", 
"2DGraphics", "VectorGraphics", "RasterGraphics", "3DGraphics", "Scanning", 
"OCR", "Photography", "Viewer", "DesktopSettings", "HardwareSettings", 
"PackageManager", "Dialup", "InstantMessaging", "IRCClient", "FileTransfer", 
"HamRadio", "News", "P2P", "RemoteAccess", "Telephony", "WebBrowser", 
"WebDevelopment", "Midi", "Mixer", "Sequencer", "Tuner", "TV", 
"AudioVideoEditing", "Player", "Recorder", "DiscBurning", "ActionGame", 
"AdventureGame", "ArcadeGame", "BoardGame", "BlocksGame", "CardGame", 
"KidsGame", "LogicGame", "RolePlaying", "Simulation", "SportsGame", 
"StrategyGame", "Art", "Construction", "Music", "Languages", "Science", 
"Astronomy", "Biology", "Chemistry", "Geology", "Math", "MedicalSoftware", 
"Physics", "Amusement", "Archiving", "Electronics", "Emulator", "Engineering", 
"FileManager", "TerminalEmulator", "Filesystem", "Monitor", "Security", 
"Accessibility", "Calculator", "Clock", "TextEditor", "Core", "KDE", "GNOME", 
"GTK", "Qt", "Motif", "Java", "ConsoleOnly", "Screensaver", "TrayIcon", 
"Applet", "Shell" (found "Utilities")
Application and Utilities categories are now deprecated. Use one of listed 
above instead.

 * latest version is being packaged
 * mock builds fine, however there are gettext dependency listed two times; 
also I would recommend to use python-devel rather than python BR
 * requires and provides:
cycle-0.3.1-1.fc7.noarch.rpm
cycle = 0.3.1-1.fc7
=
/usr/bin/env
python >= 2.3
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
wxPython

cycle-0.3.1-1.fc7.src.rpm
(none)=
gettext
desktop-file-utils
python >= 2.3
rpmlib(CompressedFileNames) <= 3.0.4-1

 * package isn't designed to be relocatable
 * package owns all directories well
 * %clean section is present and looks good
 * build root's fine
 * no objections to %files section
 * no scriptlets required
 * no need to any subpackages
 * no .la files
!* gui application, but .desktop file looks bad: wrong categories and X-Fedora 
argument to desktop-file-install ought to be removed as well. Also it refers to 
not existing /usr/share/icons/cycle.xpm path.

There are two identical files: README.Debian and README.Fedora - seems that we 
can get rid of the first one,
README doesn't also look like a helpful file. On the other hand, you forgot to 
include CHANGELOG, COPYRIGHT and THANKS files.
There's man file available, so there's no reason not to include it in package
This is not in fact a blocker but your %install section doesn't look clear. I'd 
like to see it more legible.

THINGS TO DO:
 * change categories in .desktop file
 * correct Icon path in .desktop
 * get rid of one gettext BR
 * change python BR to python-devel (AFAIK it is safer)
 * remove --add-category=X-Fedora \ from desktop-file-install (we should use an 
X-Fedora category no longer)
 * change (shorten) %description of a package
 * add CHANGELOG, COPYRIGHT and THANKS to %doc
 * remove README.Debian file
 * include cycle.1 file
 * make %install more legible

Comment 5 Matěj Cepl 2007-01-31 22:53:45 UTC
Updated. New URLs:

Spec URL: http://www.ceplovi.cz/matej/progs/rpms/cycle.spec
SRPM URL: http://www.ceplovi.cz/matej/progs/rpms/cycle-0.3.1-2.src.rpm

Comment 6 Michał Bentkowski 2007-01-31 23:31:10 UTC
rpmlint is still not quiet:
/tmp/cycle-0.3.1-2.fc7.noarch.rpm.10444/usr/share/applications/fedora-
cycle.desktop: warning: The 'Application' category is not defined by the 
desktop entry specification.  Please use one of "AudioVideo", "Audio", "Video", 
"Development", "Education", "Game", "Graphics", "Network", "Office", 
"Settings", "System", "Utility" instead

Just get rid of 'Application' category because it is deprecated now.
Also, a few things I haven't noticed before:
 * you don't need to pass python dependency, because wxPython already requires
it; so just leave Requires with only wxPython
 * it's surely not Applications/Multimedia. After a short talk at #fedora-extras
I suggest to use Applications/Productivity category (other calendars are put
there)
 * don't gzip man page by hand - rpm does it automatically


Comment 7 Matěj Cepl 2007-02-01 09:10:02 UTC
Updated. I have also consulted .spec from the tarball, and although I haven't
accepted everything, I made a small changes to my spec accordingly.

New URL of SRPM: http://www.ceplovi.cz/matej/progs/rpms/cycle-0.3.1-3.src.rpm

Comment 8 Michał Bentkowski 2007-02-01 15:49:02 UTC
Looks fine now.
Approved.


Comment 9 Ruben Kerkhof 2007-02-03 16:38:26 UTC
Resetting fedora-review flag to BLANK since this is not part of the Core-Extras Merge review

Comment 10 Mamoru TASAKA 2007-02-25 16:12:54 UTC
What is the status of this review request?
Currently this is assigned to nobody...

Comment 11 Michał Bentkowski 2007-02-25 18:02:48 UTC
(In reply to comment #10)
> What is the status of this review request?
> Currently this is assigned to nobody...

Hmm, odd... I have approved this package and it ought to be closed as well,
because package exists in repo.

Comment 12 Michał Bentkowski 2007-03-20 17:44:20 UTC
Matej, please close this ticket.

Comment 13 Matěj Cepl 2007-03-20 18:11:24 UTC
Not yet, see
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure?action=show&redirect=CVSAdminProcedure
for the proper procedure:

New Package CVS Request
=======================
Package Name: cycle
Short Description: Calendar program for women
Owners: mcepl@redhat.com
Branches: FC-5 FC-6
InitialCC: 

Comment 14 Matěj Cepl 2007-03-20 18:14:27 UTC
Moreover, I am not sure, whether the package is really built in -devel --
http://cvs.fedora.redhat.com/viewcvs/owners/owners.list?root=extras&view=markup
doesn't show it


Note You need to log in before you can comment on or make changes to this bug.